# vim: set sw=4 ts=4 et nu:

Name:               kplayer
Version:            0.7.1
Release:            0.pm.1.6
Summary:            KDE Video Application
Source:             ftp://ftp.belnet.be/packages/kde/stable/kplayer/%{version}/src/kplayer-%{version}.tar.bz2
URL:                http://kde-apps.org/content/show.php/KPlayer?content=142618
Group:              Productivity/Multimedia/Video/Players
License:            GNU General Public License version 3 (GPL v3)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      kdebase4-workspace-devel >= 4.3.0
BuildRequires:      gcc-c++ make glibc-devel pkgconfig
BuildRequires:      update-desktop-files
# only needed to fix an image:
BuildRequires:      ImageMagick
#
Requires:           kdebase4-workspace
Requires:           MPlayer
%kde4_runtime_requires

%description
KPlayer is a rich multimedia player that uses the mplayer backend.

%lang_package

%package doc
Summary:            KDE Video Application - Documentation
Group:              Productivity/Multimedia/Video/Players
Requires:           %{name} = %{version}
%if 0%{?suse_version} >= 1120
BuildArch:          noarch
%endif

%description doc
KPlayer is a rich multimedia player that uses the mplayer backend.
This package contains the documentation.

%prep
%setup -q

# is actually 22x22 in the upstream tarball:
mogrify -scale 16x16 icons/hi16-action-loop.png

%build
%cmake_kde4 -d builddir
%make_jobs

%install
pushd builddir
%kde4_makeinstall
popd

%suse_update_desktop_file -r "%{name}" AudioVideo Player

%kde_post_install

%find_lang "%{name}"

# split lang file into lang and doc:
%__perl -ne 'print if m,/doc/,' <"%{name}.lang" >"%{name}-doc.lst"
%__perl -ne 'print unless m,/doc/,' <"%{name}.lang" >"%{name}-lang.lst"
%__rm "%{name}.lang"
# unconfuse vim: '

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files lang -f "%{name}-lang.lst"
%defattr(-,root,root)

%files doc -f "%{name}-doc.lst"
%defattr(-,root,root)

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog README TODO
%{_bindir}/kplayer
%{_libdir}/kde4/libkplayerpart.so
%{_datadir}/applications/kde4/kplayer.desktop
%{_datadir}/icons/*/*/apps/kplayer.*
%{_datadir}/kde4/apps/kplayer
%{_datadir}/kde4/services/ServiceMenus/kplayer-*.desktop
%{_datadir}/kde4/services/kplayerpart.desktop

%changelog
* Sun Jun 12 2011 pascal.bleser@opensuse.org
- initial version (0.7.1)
